PRINTF(1)

NAME
printf - format and print data

SYNOPSIS
printf FORMAT [ARGUMENT]...
printf OPTION

DESCRIPTION

Print ARGUMENT(s) according to FORMAT.

--help
    display this help and exit

--version
    output version information and exit

FORMAT controls the output as in C printf. Interpreted sequences are:

    double quote

NNN character with octal value NNN (0 to 3 digits)

\   backslash

    alert (BEL)

    backspace

    produce no further output

    form feed

    new line

    carriage return

    horizontal tab

    vertical tab

N   character with hexadecimal value NNN (1 to 3 digits)

%%  a single %

%b  ARGUMENT as a string with `' escapes interpreted

and all C format specifications ending with one of diouxXfeEgGcs, with ARGUMENTs converted to proper type first. Variable widths are handled.

REPORTING BUGS
Report bugs to <bug-sh-utils@gnu.org>.

SEE ALSO
The full documentation for printf is maintained as a Texinfo manual. If the info and printf programs are properly installed at your site, the command

    info printf

should give you access to the complete manual.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.